Subject: Re: bug#34389:

From: "Brian C. Lane" <[email-masked]>
Date: Tue, 12 Feb 2019 09:58:31 -0800

On Tue, Feb 12, 2019 at 10:21:47AM +0100, Ricky Tigg wrote:
> Currently used terminology may had a role at the source of my confusion:
> $ parted  -h
> (...)
>   name NUMBER NAME                         name partition NUMBER as NAME
> 
> I know now – which doesn't mean I am clever –."name partition " was meant
> to be interpreted, possibly implicitly, that way you depicted. I would
> certainly have interpreted correctly a terminology such as the one
> illustrated here:
> $ parted  -h
> (...)
>   name NUMBER NAME                         name filesystem label NUMBER as
> NAME

That would be incorrect. parted doesn't do anything with filesystem
naming, only partition naming. eg. GPT supports partition names, but
MSDOS does not.

gparted combines features of parted with other filesystem features, allowing you to
set the filesystem name, or the partition name.

-- 
Brian C. Lane (PST8PDT)